> ## Documentation Index
> Fetch the complete documentation index at: https://docs.coaxial.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List dataset integrations

<RequestExample>
  ```bash cURL theme={null}
  curl -X 'GET' \
    'https://api.coaxial.ai/data_integration/list/?user_id=<user_id>' \
    -H 'accept: application/json' \
    -H 'Authorization: Bearer <api_key>'
  ```

  ```python python theme={null}
  import coaxial
  from pprint import pprint

  coaxial_api = coaxial.Api(api_key=<api_key>)

  try:
      api_response = coaxial_api.data_integration.list_data_integrations(user_id=<user_id>)
      print("The response of DataIntegrationApi->list_data_integrations:\n")
      pprint(api_response)
  except Exception as e:
      print("Exception when calling DataIntegrationApi->list_data_integrations: %s\n" % e)
  ```
</RequestExample>

<ResponseExample>
  ```json Example Response theme={null}
  {
    "indexes": [
      {
        "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
        "source": "string",
        "metadata": "string",
        "coaxial_id": <coaxial_dataset_integration_id>
      }
    ]
  }
  ```
</ResponseExample>


## OpenAPI

````yaml get /data_integration/list/
openapi: 3.1.0
info:
  contact:
    email: team@coaxial.ai
    name: Team Coaxial
  description: The Coaxial REST API. Please see https://docs.coaxial.ai for more details.
  termsOfService: https://coaxial.ai/terms/
  title: The Coaxial API
  version: 0.0.1
servers:
  - description: production
    url: https://api.coaxial.ai
  - description: sandbox
    url: https://sandbox.coaxial.ai
security: []
paths:
  /data_integration/list/:
    get:
      tags:
        - data_integration
      summary: List dataset integrations
      operationId: list_data_integrations
      parameters:
        - in: query
          name: user_id
          required: false
          schema:
            title: User Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/list_data_integrations_response'
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - Authorization: []
components:
  schemas:
    list_data_integrations_response:
      properties:
        indexes:
          items:
            $ref: '#/components/schemas/Dataset'
          title: Indexes
          type: array
      required:
        - indexes
      title: list_data_integrations_response
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    Dataset:
      additionalProperties: false
      description: The Dataset model
      properties:
        coaxial_id:
          title: Coaxial Id
          type: string
        id:
          format: uuid
          title: Id
          type: string
        metadata:
          title: Metadata
        source:
          maxLength: 50
          title: Source
          type: string
      required:
        - source
        - coaxial_id
      title: Dataset
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    Authorization:
      scheme: bearer
      type: http

````